package com.iformall.enums;

/**
 * Created by Stormeye on 2019/13/54.
 */
public enum EnumSysMonitorStatus {

    ENABLE(0, "启用"),
    DISABLE(1, "停用"),
    ;

    public static EnumSysMonitorStatus getEnum(Integer code) {
        for (EnumSysMonitorStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumSysMonitorStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
